FairMQSocket Class Referenceabstract
Inheritance diagram for FairMQSocket:
[legend]

## Public Member Functions

| FairMQSocket (FairMQTransportFactory *fac)
virtual std::string | GetId ()=0
virtual bool | Bind (const std::string &address)=0
virtual bool | Connect (const std::string &address)=0
virtual int | Send (FairMQMessagePtr &msg, int timeout=-1)=0
virtual int | Receive (FairMQMessagePtr &msg, int timeout=-1)=0
virtual int64_t | Send (std::vector< std::unique_ptr< FairMQMessage >> &msgVec, int timeout=-1)=0
virtual int64_t | Receive (std::vector< std::unique_ptr< FairMQMessage >> &msgVec, int timeout=-1)=0
virtual void | Close ()=0
virtual void | SetOption (const std::string &option, const void *value, size_t valueSize)=0
virtual void | GetOption (const std::string &option, void *value, size_t *valueSize)=0
virtual void | SetLinger (const int value)=0
virtual int | GetLinger () const =0
virtual void | SetSndBufSize (const int value)=0
virtual int | GetSndBufSize () const =0
virtual void | SetRcvBufSize (const int value)=0
virtual int | GetRcvBufSize () const =0
virtual void | SetSndKernelSize (const int value)=0
virtual int | GetSndKernelSize () const =0
virtual void | SetRcvKernelSize (const int value)=0
virtual int | GetRcvKernelSize () const =0
virtual unsigned long | GetBytesTx () const =0
virtual unsigned long | GetBytesRx () const =0
virtual unsigned long | GetMessagesTx () const =0
virtual unsigned long | GetMessagesRx () const =0
FairMQTransportFactory * | GetTransport ()
void | SetTransport (FairMQTransportFactory *transport)

The documentation for this class was generated from the following file:

- fairmq/FairMQSocket.h

privacy